- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
MaxWeightedPerfectMatching< GR, WM >::BlossomIt Class Reference

## Detailed Description

### template<typename GR, typename WM>
class lemon::MaxWeightedPerfectMatching< GR, WM >::BlossomIt

This class provides an iterator for obtaining the nodes of the given blossom. It lists a subset of the nodes. Before using this iterator, you must allocate a MaxWeightedPerfectMatching class and execute it.

`#include <lemon/matching.h>`

## Public Member Functions
| BlossomIt (const MaxWeightedPerfectMatching &algorithm, int variable)
| Constructor. More...
| operator Node () const
| Conversion to `Node`. More...
BlossomIt & | operator++ ()
| Increment operator. More...
bool | operator== (Invalid) const
| Validity checking. More...
bool | operator!= (Invalid) const
| Validity checking. More...

## Constructor & Destructor Documentation

BlossomIt | ( | const MaxWeightedPerfectMatching & | algorithm,
|  | int | variable
| ) |  |
| inline

Constructor to get the nodes of the given variable.

Precondition
  Either algorithm.run() or algorithm.start() must be called before initializing this iterator.

## Member Function Documentation

operator Node | ( |  | ) | const
| inline

Conversion to `Node`.

BlossomIt& operator++ | ( |  | ) |
| inline

Increment operator.

bool operator== | ( | Invalid |  | ) | const
| inline

This function checks whether the iterator is invalid.

bool operator!= | ( | Invalid |  | ) | const
| inline

This function checks whether the iterator is valid.